<?php
/*
 * 
The MIT License (MIT)

Copyright (c) 2014 Lukáš Zelenka [Xchos]
 * 
 */
namespace FrontModule;

class Globals extends Base {
    public static $instance;

    public static function getInstance() {
        if (!isset(self::$instance)) self::$instance = new Globals();
        return self::$instance;
    } 

    protected $table = 'globals';  
    
    public static function getByName($key){
        $instance = self::getInstance();
        return $instance->db->fetchSingle("SELECT value FROM %n WHERE UPPER(`key`) = UPPER(%s)", $instance->table, $key);
    }
    
}