<?php

namespace FrontModule;

use \Nette,
    \Nette\Diagnostics;


class ErrorPresenter extends \Presenters\BasePresenter
{

    public function renderDefault($exception)
    {
        $this->template->errorMessage = $exception->getMessage(); 
        \Nette\Diagnostics\Debugger::log($exception, \Nette\Diagnostics\Debugger::ERROR);
        if ($this->isAjax()) { 
            $this->payload->error = TRUE;
            $this->terminate();

        } elseif ($exception instanceof \Nette\Application\BadRequestException) {
            $this->setView('404');

        } else {            
            $this->setView('500');
        }
    }
}