<?php
use Nette\Application\UI;

class WidgetsNewEditForm extends Nette\Object
{
    private $db;
    private $form;       

    public function __construct(DibiConnection $db, FormFactory $form)
    {
        $this->db = $db;
        $this->form = $form;
    }

    public function create()
    {
        $form = $this->form->create();
        $form->addText('key', 'Název Widgetu:')->addRule(UI\Form::FILLED, 'Zadejte titulek');
        $form->addTextArea('value', 'Obsah Widgetu:');
        $form->addHidden('id', 'id');
        $form->onSuccess[] = $this->processForm;
        $form->addSubmit('submit', 'Odeslat'); 
        return $form;
    }

    public function processForm($form)
    {
        /*
         *  Ukládání dat probíhá zde
         */
    }
}