var isMobile = null;
var mainNavigation = "#navbar-main";

function OnDocumentResize(){
      isMobile = window.matchMedia("only screen and (max-width: 760px)");
      if(isMobile.matches){
        $(".navbar-brand").css("font-size", "14px");
      } else {
        $(".navbar-brand").css("font-size", "19px");
      }   

}

$( document ).ready(function() {   
    
    OnDocumentResize();
    $(window).resize(function() {
        OnDocumentResize();
    }); 
    
    $("<div id='main-nav-replacer'></div>").insertAfter( mainNavigation );
    var height = $(mainNavigation).height() + parseInt($(mainNavigation).css("margin-bottom"));  
    $("#main-nav-replacer").css("display", "none").css("height", height);

});
    
document.onscroll = function() {
    if( $(window).scrollTop() > $('header').height() ) {
        $(mainNavigation).removeClass('navbar-static-top').addClass('navbar-fixed-top');
        $("#main-nav-replacer").css("display", "block");
    }
    else {
        $(mainNavigation).removeClass('navbar-fixed-top').addClass('navbar-static-top');
        $("#main-nav-replacer").css("display", "none");
    }
};


$('ul.dropdown-menu [data-toggle=dropdown]').on('click', function(event) {
    event.preventDefault(); 
    event.stopPropagation(); 
    //$('ul.dropdown-menu [data-toggle=dropdown]').parent().removeClass('open');
    $(this).parent().addClass('open');
    var menu = $(this).parent().find("ul");
    var menupos = menu.offset();
    if ((menupos.left + menu.width()) + 30 > $(window).width()) {
        var newpos = - menu.width();      
    } else {
        var newpos = $(this).parent().width();
    }
    menu.css({ left:newpos });
});