<?php
/*
 * 
The MIT License (MIT)

Copyright (c) 2014 Lukáš Zelenka [Xchos]
 * 
 */
namespace AdminModule;
use Nette\Application\UI\Presenter,
    Nette\Application\UI\Form,
    Nette\Utils\Strings;
use Tracy\Debugger;

class DefaultPresenter extends SecurePresenter
{
    
    public function startup(){
        parent::startup();
        $this->template->moduleName='Dashboard';
        $this->permissionName="DEFAULT";
        $this->resourcesId=$this->authorizator->GetresourcesId($this->permissionName);
    }
    
   
    public function renderDefault() {
        $this->checkPermission("ACCESS","Auth:logout");      
        $this->template->actionName='Přehled';
        $this->template->logs=$this->logger->GetLogForResource(1, Logger::LOG_LEVEL_INFO);
    }
}
