<?php
/*
 * 
The MIT License (MIT)

Copyright (c) 2014 Lukáš Zelenka [Xchos]
 * 
 */
namespace AdminModule;
use Nette\Application\UI\Form,
    Nette\Utils\Strings,
    Tracy\Debugger;


class LogsPresenter extends SecurePresenter
{
    
    public function startup(){
        parent::startup();
        $this->template->moduleName='Záznamy o aktivitě';
        $this->model = new Logger($this->db);
        $this->permissionName="LOGS";
        $this->resourcesId=$this->authorizator->GetresourcesId($this->permissionName);
    }
   
    public function renderDefault() {
        $this->checkPermission("ACCESS");      
        $this->template->actionName='Přehled';
        $this->template->logs=$this->logger->GetLogByTime(Logger::LOG_LEVEL_INFO, strtotime('-14 days'));
    }

}
