<?php
/*
 * 
The MIT License (MIT)

Copyright (c) 2014 Lukáš Zelenka [Xchos]
 * 
 */
namespace FrontModule;

abstract class Base extends \Nette\Object {
    protected $db;
    public function __construct()
    {
        $connection = \Nette\Environment::getService('dibi.connection');
        $this->db = $connection;
    }   
    
    public static function since($year){
        if(date("Y")==$year){
          return $year;
        } else {
          return $year . " - " . date("Y");
        }
    } 
    public static function generateSpacer($height){
        return "<div style='height: ".floatval($height)."px;'></div>";
    }

}