<?php
/*
 * 
The MIT License (MIT)

Copyright (c) 2014 Lukáš Zelenka [Xchos]
 * 
 */
namespace FrontModule;

class Files extends Base {
    public static $instance;
    public $location = null;


    public static function getInstance() {
        if (!isset(self::$instance)) self::$instance = new Files();
        return self::$instance;
    } 

    protected $table = 'files';  
    
    public function __construct() {
        parent::__construct();
        $this->location = "uploads";
    }


    public static function getByID($id){
        $instance = self::getInstance();
        $fileName = $instance->db->fetchSingle("SELECT file_name FROM %n WHERE id = %i", $instance->table, $id);
        if(!strlen($fileName)) {
            $fileName = "not_found.png";
        }
        $filePath = "/".$instance->location."/";
        $filePath .= $fileName;
        return $filePath;
    }
    
    public static function generateFancy($url, $group="group-fancy"){
        return '<a class="fancybox" rel="group" href="'.$url.'">';
    }
    public static function generateImage($url, $width='100%'){  
        return '<a class="fancybox" rel="image" href="'.$url.'"><img src="'.$url.'" style="width:'.$width.';"></a>';
    }
 
}