<?php
/*
 * 
The MIT License (MIT)

Copyright (c) 2014 Lukáš Zelenka [Xchos]
 * 
 */
namespace FrontModule;

class Redirect extends Base {
    protected $table = '_301'; 
       
    public function getNewIDByOldID($table, $id){
      $newid = $this->db->fetchSingle("SELECT %n FROM %n WHERE old_id=%i", $table."_id", $table.$this->table, $id);
      if($newid===false){
        throw new \Nette\Application\BadRequestException("Požadované přesměrování nebylo nalezeno. Tato adresa byla nejspíše zrušena.");
      }
      else {
        $this->db->query("UPDATE %n SET used=used+1 WHERE old_id=%i", $table.$this->table, $id);
        return $newid;
      }
    }           
}