<?php
use Nette\Application\UI;

class CategoriesNewEditForm extends Nette\Object
{
    private $form;      

    public function __construct(FormFactory $form)
    {
        $this->form = $form;
    }

    public function create()
    {
        $form = $this->form->create();
        
        $form->addText('name', 'Název Kategorie:')
          ->addRule(UI\Form::FILLED, 'Zadejte Název kategorie')
          ->setAttribute('class', 'form-control');    
        $form->addHidden('id', 'id');
        $form->onSuccess[] = $this->processForm;
        $form->addSubmit('submit', 'Odeslat'); 
        return $form;
    }

    public function processForm($form)
    {
        /*
         *  Ukládání dat probíhá zde
         */
    }
}