<?php
use Nette\Application\UI;

class FormFactory extends Nette\Object
{
    private $db;
    private $translator;
    
    public function __construct(DibiConnection $db, ITranslator $translator = NULL)
    {
        $this->translator = $translator;
        $this->db = $db;
    }


    public function create()
    {
        $form = new UI\Form;
        if ($this->translator) {
    			$form->setTranslator($this->translator);
    		}   
        return $form;
    }

    public function processForm($form)
    {
        /*
         *  Ukládání dat probíhá zde
         */
    }
}