<?php
use Nette\Application\UI;

class GlobalsNewEditForm extends Nette\Object
{
    private $db;
    private $form;      

    public function __construct(DibiConnection $db, FormFactory $form)
    {
        $this->db = $db;
        $this->form = $form;
    }

    public function create()
    {
        $form = $this->form->create();
        
        $form->addText('key', 'Klíč:')
          ->addRule(UI\Form::FILLED, 'Zadejte titulek')
          ->setAttribute('class', 'form-control');
          
        $form->addText('value', 'Hodnota:')
          ->setAttribute('class', 'form-control');
          
        $form->addHidden('id', 'id');
        $form->onSuccess[] = $this->processForm;
        $form->addSubmit('submit', 'Odeslat'); 
        return $form;
    }

    public function processForm($form)
    {
        /*
         *  Ukládání dat probíhá zde
         */
    }
}