<?php
use Nette\Application\UI;

class NewsNewEditForm extends Nette\Object
{
    private $form;

    public function __construct(FormFactory $form)
    {
        $this->form = $form;
    }

    public function create($duplicate=false)
    {
        $form = $this->form->create();
        $form->addText('title', 'Název:')
          ->addRule(UI\Form::FILLED, 'Zadejte Název novinky')
          ->setAttribute('class', 'form-control');
        if(!$duplicate){
          $form->addCheckbox('visible', 'Zobrazit novinku na hlavní stránce');
          $form->addTextArea('content', 'Obsah novinky');
          $form->addHidden('id', 'id');
        }
        $form->onSuccess[] = $this->processForm;
        $form->addSubmit('submit', 'Odeslat'); 
        return $form;
    }

    public function processForm($form)
    {
        /*
         *  Ukládání dat probíhá zde
         */
    }
}