<?php                         
use Nette\Application\UI;
use Nette\Application\UI\Control;

class UploaderForm extends Control
{
    private $db;
    private $model;   
    private $user; 

    public function __construct(DibiConnection $db, \Nette\Security\User $user)
    {
        $this->db = $db;
        $this->model = new \AdminModule\Uploader($this->db);
        $this->user = $user;
    }

    public function create()
    {
        $form = new UI\Form;
        $form->addUpload('files', 'Soubory k nahrátí:', TRUE)
          ->addRule(UI\Form::MAX_FILE_SIZE, 'Maximální velikost souboru je 12MB', 12*1024*1024);
        $form->addCheckbox('rewrite', 'Přepsat soubory se stejným názvem');
        
        $form->onSuccess[] = $this->processForm;
        $form->addSubmit('submit', 'Nahrát soubory'); 
        return $form;
    }

    public function processForm($form)
    {
        $userId = $this->user->getId();
        /*
         *  Ukládání dat probíhá zde
         */

    }
}    
class FileEnchanted{}